package com.github.wxiaoqi.security.admin.entity;

import java.io.Serializable;
import javax.persistence.*;


/**
 * 用户关系表
 * 
 * @author Mr.AG
 * @email 463540703@qq.com
 * @date 2019-06-04 14:29:29
 */
@Table(name = "base_user_relation")
public class BaseUserRelation implements Serializable {
	private static final long serialVersionUID = 1L;
	
	    //主键id
    @Id
    private Integer id;
	
	    //用户id
    @Column(name = "user_id")
    private Integer userId;
	
	    //小程序用户id
    @Column(name = "to_uid")
    private Integer toUid;
	
	    //是否有效；0-有效；1-无效
    @Column(name = "staus")
    private Integer staus;
	
	    //创建时间
    @Column(name = "crt_time")
    private Long crtTime;
	
	    //更新时间
    @Column(name = "upd_time")
    private Long updTime;
	
	    //是否删除；0-正常；1-删除
    @Column(name = "is_del")
    private Integer isDel;
	

	/**
	 * 设置：主键id
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：主键id
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：用户id
	 */
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	/**
	 * 获取：用户id
	 */
	public Integer getUserId() {
		return userId;
	}
	/**
	 * 设置：小程序用户id
	 */
	public void setToUid(Integer toUid) {
		this.toUid = toUid;
	}
	/**
	 * 获取：小程序用户id
	 */
	public Integer getToUid() {
		return toUid;
	}
	/**
	 * 设置：是否有效；0-有效；1-无效
	 */
	public void setStaus(Integer staus) {
		this.staus = staus;
	}
	/**
	 * 获取：是否有效；0-有效；1-无效
	 */
	public Integer getStaus() {
		return staus;
	}
	/**
	 * 设置：创建时间
	 */
	public void setCrtTime(Long crtTime) {
		this.crtTime = crtTime;
	}
	/**
	 * 获取：创建时间
	 */
	public Long getCrtTime() {
		return crtTime;
	}
	/**
	 * 设置：更新时间
	 */
	public void setUpdTime(Long updTime) {
		this.updTime = updTime;
	}
	/**
	 * 获取：更新时间
	 */
	public Long getUpdTime() {
		return updTime;
	}
	/**
	 * 设置：是否删除；0-正常；1-删除
	 */
	public void setIsDel(Integer isDel) {
		this.isDel = isDel;
	}
	/**
	 * 获取：是否删除；0-正常；1-删除
	 */
	public Integer getIsDel() {
		return isDel;
	}
}
